/*
  You Need to burn at least the 8MHz Boot Loader
  for this code to even compile 
*/
#include <DistanceGP2Y0A21YK.h> //Sensor Lib
#include <SoftwareSerial.h> //Software Serial Lib since the Attiny44 dose not have a full Hardware Serial Port

SoftwareSerial serPort(9,10); //Software Serial Port object

DistanceGP2Y0A21YK DistF; //Sensor object Init
DistanceGP2Y0A21YK DistFR;//Sensor object Init
DistanceGP2Y0A21YK DistFL;//Sensor object Init
DistanceGP2Y0A21YK DistBR;//Sensor object Init
DistanceGP2Y0A21YK DistBL;//Sensor object Init
DistanceGP2Y0A21YK DistB;//Sensor object Init

int distanceF = 0;
int distanceFR = 0;
int distanceFL = 0;
int distanceBR = 0;
int distanceBL = 0;
int distanceB = 0;

void setup(){
  serPort.begin(9600);
  DistF.begin(A0);
  DistFR.begin(A1);
  DistFL.begin(A2);
  DistBR.begin(A3);
  DistBL.begin(A5);
  DistB.begin(A6);
}

void loop(){
  distanceF = DistF.getDistanceRaw();
  distanceFR = DistFR.getDistanceRaw();
  distanceFL = DistFL.getDistanceRaw();
  distanceBR = DistBR.getDistanceRaw();
  distanceBL = DistBL.getDistanceRaw();
  distanceB = DistB.getDistanceRaw();
  serPort.print(distanceF);
  serPort.print(distanceFR);
  serPort.print(distanceFL);
  serPort.print(distanceBR);
  serPort.print(distanceBL);
  serPort.println(distanceB);
}
